package com.bonus.canteen.core.order.deprecated.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

@ApiModel("设备端查询超市订单记录DTO")
public class MacMarketOrdDTO extends MacBaseParamDTO {
   @ApiModelProperty("每页显示条数")
   private Long size = 10L;
   @ApiModelProperty("当前页")
   private Long current = 1L;
   @ApiModelProperty("商家订单号")
   private Long ordId;
   @ApiModelProperty("组合条件(姓名、编号、手机号)")
   private String mixCondition;
   @ApiModelProperty("开始日期")
   private LocalDate startDate;
   @ApiModelProperty("结束日期")
   private LocalDate endDate;
   private Integer dishesState;
   @ApiModelProperty(
      value = "支付状态",
      hidden = true
   )
   private Integer payState;
   @ApiModelProperty(
      value = "人员id",
      hidden = true
   )
   private Long custId;
   @ApiModelProperty(
      value = "订单id",
      hidden = true
   )
   private Long orderId;

   public Long getSize() {
      return this.size;
   }

   public Long getCurrent() {
      return this.current;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public String getMixCondition() {
      return this.mixCondition;
   }

   public LocalDate getStartDate() {
      return this.startDate;
   }

   public LocalDate getEndDate() {
      return this.endDate;
   }

   public Integer getDishesState() {
      return this.dishesState;
   }

   public Integer getPayState() {
      return this.payState;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getOrderId() {
      return this.orderId;
   }

   public void setSize(final Long size) {
      this.size = size;
   }

   public void setCurrent(final Long current) {
      this.current = current;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setMixCondition(final String mixCondition) {
      this.mixCondition = mixCondition;
   }

   public void setStartDate(final LocalDate startDate) {
      this.startDate = startDate;
   }

   public void setEndDate(final LocalDate endDate) {
      this.endDate = endDate;
   }

   public void setDishesState(final Integer dishesState) {
      this.dishesState = dishesState;
   }

   public void setPayState(final Integer payState) {
      this.payState = payState;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setOrderId(final Long orderId) {
      this.orderId = orderId;
   }

}
